#! /bin/bash

. "$(dirname $0)/env.sh"

./clean.sh

cd "$PROJECT_HOME"

echo "Compiling main code ..."
# no external libs, so no need to set classpath for javac
find "$SRC_DIR" -name \*.java -print0 | xargs -0 javac -g -Xlint:all -d "$CLASSES_DIR"
echo "Compiling test code ..."
find "$TEST_SRC_DIR" -name \*.java -print0 | xargs -0 javac -g -Xlint:all -classpath "$CLASSES_DIR:$TEST_LIB_CLASSPATH" -d "$TEST_CLASSES_DIR"

echo "Running tests ..."
grep -rl --include='*.java' @Test "$TEST_SRC_DIR" | cut -d / -f 2- | cut -d . -f 1 | tr / . | xargs java -ea -classpath "$TEST_SRC_DIR:$SRC_DIR:$TEST_CLASSES_DIR:$CLASSES_DIR:$TEST_LIB_CLASSPATH" org.junit.runner.JUnitCore
