#! /bin/bash

. "$(dirname $0)/env.sh"

MANIFEST_FILE="$PROJECT_HOME/manifest.mf"
VERSION=$(grep "Implementation-Version" "$MANIFEST_FILE" | cut -d " " -f 2)

./build.sh
cd "$PROJECT_HOME/$CLASSES_DIR"
RELEASE_DIR="$(mktemp -d)"
echo "Making jar ..."
jar cfm "$RELEASE_DIR/xmlevent-$VERSION.jar" "$MANIFEST_FILE" *
cd -
./clean.sh
echo "Making zip ..."
zip -9 -r "$RELEASE_DIR/xmlevent-$VERSION.zip" *
echo "Copying source ..."
find "$SRC_DIR" -type f -name \*.java -print0 | xargs -0 cp -pt "$RELEASE_DIR"

echo "Release of $VERSION is in $RELEASE_DIR"
