package li.earth.urchin.twic.xml;

import java.util.List;
import java.util.ArrayList;
import java.util.Map;

public class CollectingListener implements XMLListener {
	
	private List<String> events = new ArrayList<String>();
	
	public void startContainer(List<String> path, Map<String, String> attrs) {
		events.add("start " + path + " " + attrs);
	}
	
	public void item(List<String> path, Map<String, String> attrs, String text) {
		events.add("item " + path + " " + attrs + " " + text);
	}
	
	public void endContainer(List<String> path) {
		events.add("end " + path);
	}
	
	public void startDocument() {
		events.add("startdoc");
	}
	
	public void endDocument() {
		events.add("enddoc");
	}
	
	public List<String> events() {
		return events;
	}
	
}
